#
# spec file for package python-shaptools
#
# Copyright (c) 2019 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


%if 0%{?suse_version} < 1500
%bcond_with test
%else
%bcond_without test
%endif

%{?!python_module:%define python_module() python-%{**} python3-%{**}}
Name:           python-shaptools
Version:        0.3.1
Release:        lp150.5.1
Summary:        Python tools to interact with SAP HANA utilities
License:        Apache-2.0
Group:          Development/Languages/Python
Url:            https://github.com/SUSE/shaptools
Source:         shaptools-%{version}.tar.gz
%if %{with test}
BuildRequires:  %{python_module mock}
BuildRequires:  %{python_module pytest}
%endif
BuildRequires:  %{python_module setuptools}
BuildRequires:  fdupes
BuildRequires:  python-rpm-macros
BuildArch:      noarch
%python_subpackages

%description
API to expose SAP HANA functionalities

%prep
%setup -q -n shaptools-%{version}

%build
%python_build

%install
%python_install
%python_expand %fdupes %{buildroot}%{$python_sitelib}
# do not install tests
%python_expand rm -r %{buildroot}%{$python_sitelib}/tests

%if %{with test}
%check
%pytest tests
%endif

%files %{python_files}
%if 0%{?sle_version:1} && 0%{?sle_version} < 120300
%doc README.md LICENSE
%else
%doc README.md
%license LICENSE
%endif
%{python_sitelib}/*
%python3_only %{_bindir}/shapcli

%changelog
* Tue Jul 23 2019 Xabier Arbulu Insausti <xarbulu@suse.com>
- Create package version 0.3.1
- Add support for Power machines
  (jsc#SLE-4031, jsc#SLE-4143, boo#1137989)
* Thu Jul 18 2019 Xabier Arbulu Insausti <xarbulu@suse.com>
- Add an option to run the commands in remote nodes to shapcli
* Wed Jul 17 2019 Xabier Arbulu Insausti <xarbulu@suse.com>
- Create package version 0.3.0
- shapcli is provided to expose shaptools api methods as command line tool
* Tue Jun 11 2019 Xabier Arbulu Insausti <xarbulu@suse.com>
- Create package version 0.2.1 with fixed spec files. Now the package
  is available from SLE12-SP2 to SLE15 versions
  (jsc#SLE-4031, jsc#SLE-4143, boo#1137989)
* Tue Jun  4 2019 Xabier Arbulu Insausti <xarbulu@suse.com>
- Create package version 0.2.0 with the latest changes
* Wed May 29 2019 Ayoub Belarbi (abelarbi@suse.com)
- Update hdb connector to return metadata besides the query
  records.
* Thu May 16 2019 Xabier Arbulu Insausti <xarbulu@suse.com>
- Update SR registration process. Now the methods retries the
  registration command until a successful return and copies the
  SSFS files from the primary node as well
* Tue Apr 23 2019 Xabier Arbulu Insausti <xarbulu@suse.com>
- Remove enum34 dependency from code
* Wed Mar  6 2019 dakechi@suse.com
- Fix the package license to be in synch with repo license.
* Mon Mar  4 2019 xarbulu@suse.com
- Improved the use of keystore access. When the key_name is informed,
  the user_name/user_password is not needed.
* Mon Feb 25 2019 dakechi@suse.com
- Fix UT to check the inst formatting correctly
- Move the comment to the right place
- Enforce the HANA instance nr format.
- Forces Intance nr always with 2 positions filled with 0
- Forces right formating on HANA OS admin user.
* Thu Dec 20 2018 xarbulu@suse.com
- First package version
